﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="14.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{D1732C0E-9A6D-4F8A-8BEF-7BE33A7D5C68}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>Hargrim</RootNamespace>
    <AssemblyName>Hargrim</AssemblyName>
    <TargetFrameworkVersion>v4.6</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <TargetFrameworkProfile>
    </TargetFrameworkProfile>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <Prefer32Bit>false</Prefer32Bit>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>..\..\Build\3.5\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
    <GenerateSerializationAssemblies>Auto</GenerateSerializationAssemblies>
    <UseVSHostingProcess>true</UseVSHostingProcess>
    <DocumentationFile>..\..\Build\3.5\Hargrim.XML</DocumentationFile>
    <Prefer32Bit>false</Prefer32Bit>
    <NoWarn>CS1591, CS1573</NoWarn>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release 3.5|AnyCPU'">
    <OutputPath>..\..\Build\3.5\</OutputPath>
    <DefineConstants>TRACE;DOT_NET_3_5</DefineConstants>
    <AllowUnsafeBlocks>false</AllowUnsafeBlocks>
    <DocumentationFile>..\..\Build\3.5\Hargrim.XML</DocumentationFile>
    <Optimize>true</Optimize>
    <NoWarn>CS1591, CS1573, IDE1006</NoWarn>
    <DebugType>pdbonly</DebugType>
    <PlatformTarget>AnyCPU</PlatformTarget>
    <ErrorReport>prompt</ErrorReport>
    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
    <Prefer32Bit>false</Prefer32Bit>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release 4.6|AnyCPU'">
    <OutputPath>..\..\Build\4.6\</OutputPath>
    <DefineConstants>TRACE;DOT_NET_4_6</DefineConstants>
    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
    <DocumentationFile>..\..\Build\4.6\Hargrim.XML</DocumentationFile>
    <Optimize>true</Optimize>
    <NoWarn>CS1591, CS1573, IDE1006</NoWarn>
    <DebugType>pdbonly</DebugType>
    <PlatformTarget>AnyCPU</PlatformTarget>
    <ErrorReport>prompt</ErrorReport>
    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
    <Prefer32Bit>false</Prefer32Bit>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
    <Reference Include="UnityEngine">
      <HintPath>C:\Program Files\Unity\Editor\Data\Managed\UnityEngine.dll</HintPath>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Hargrim\Arc2.cs" />
    <Compile Include="Hargrim\Arc3.cs" />
    <Compile Include="Hargrim\Async\Tasks.cs" />
    <Compile Include="Hargrim\Async\AsyncRunner.cs" />
    <Compile Include="Hargrim\Async\AsyncStuffPool.cs" />
    <Compile Include="Hargrim\Bezier2.cs" />
    <Compile Include="Hargrim\Bezier3.cs" />
    <Compile Include="Hargrim\Bytes.cs" />
    <Compile Include="Hargrim\Collections\BitMask64.cs" />
    <Compile Include="Hargrim\Collections\BitMaskEnumFlagsAttribute.cs" />
    <Compile Include="Hargrim\Controls\ButtonInfo.cs" />
    <Compile Include="Hargrim\Controls\KeyMouseBindLayout.cs" />
    <Compile Include="Hargrim\Controls\ControlStuff\InputType.cs" />
    <Compile Include="Hargrim\Controls\Enums.cs" />
    <Compile Include="Hargrim\Controls\GamepadBindLayout.cs" />
    <Compile Include="Hargrim\Controls\GamepadInputObtainer.cs" />
    <Compile Include="Hargrim\Controls\InputObtainer.cs" />
    <Compile Include="Hargrim\Controls\KeyMouseInputObtainer.cs" />
    <Compile Include="Hargrim\Controls\LayoutConfig.cs" />
    <Compile Include="Hargrim\Controls\ControlStuff\AxesCorrection.cs" />
    <Compile Include="Hargrim\Controls\ControlStuff\InputConverter.cs" />
    <Compile Include="Hargrim\Controls\ControlStuff\InputUnility.cs" />
    <Compile Include="Hargrim\Controls\TouchInputEmulator.cs" />
    <Compile Include="Hargrim\IDGenerating\IDGenerator.cs" />
    <Compile Include="Hargrim\IDGenerating\UintIDGenerator.cs" />
    <Compile Include="Hargrim\IDGenerating\UlongIDGenerator.cs" />
    <Compile Include="Hargrim\NumericEntities\AccumEntity.cs" />
    <Compile Include="Hargrim\NumericEntities\AccumEntityDiscrete.cs" />
    <Compile Include="Hargrim\NumericEntities\ForcedEntityDiscrete.cs" />
    <Compile Include="Hargrim\NumericEntities\Interfaces.cs" />
    <Compile Include="Hargrim\NumericEntities\StaticEntityDiscrete.cs" />
    <Compile Include="Hargrim\ObjectNotFoundException.cs" />
    <Compile Include="Hargrim\Async\RoutineEnumerator.cs" />
    <Compile Include="Hargrim\Async\RoutineExecutor.cs" />
    <Compile Include="Hargrim\Async\TaskInfo.cs" />
    <Compile Include="Hargrim\Async\TaskRunner.cs" />
    <Compile Include="Hargrim\Collections\BitMask.cs" />
    <Compile Include="Hargrim\FPSCounter.cs" />
    <Compile Include="Hargrim\Percent.cs" />
    <Compile Include="Hargrim\PercentRangeAttribute.cs" />
    <Compile Include="Hargrim\RNGenerators\SimleTimeRNG.cs" />
    <Compile Include="Hargrim\RNGenerators\Stuff\RNGDateTimeProvider.cs" />
    <Compile Include="Hargrim\RNGenerators\DotNetRNG.cs" />
    <Compile Include="Hargrim\RNGenerators\BytesBasedRNG.cs" />
    <Compile Include="Hargrim\RNGenerators\UnityRNG.cs" />
    <Compile Include="Hargrim\Sound\SoundProviderStuff\SoundObjectInfo.cs" />
    <Compile Include="Hargrim\Timer.cs" />
    <Compile Include="Hargrim\NumericEntities\SpendingEntityDiscrete.cs" />
    <Compile Include="Hargrim\NumericEntities\ForcedEntity.cs" />
    <Compile Include="Hargrim\NumericEntities\ResizeType.cs" />
    <Compile Include="Hargrim\NumericEntities\SpendingEntity.cs" />
    <Compile Include="Hargrim\NumericEntities\StaticEntity.cs" />
    <Compile Include="Hargrim\Collections\ReadOnlyArray.cs" />
    <Compile Include="Hargrim\Scripts\RenderSorter.cs" />
    <Compile Include="Hargrim\RNGenerators\RNG.cs" />
    <Compile Include="Hargrim\SaveLoad\SaveProviderStuff\Saver.cs" />
    <Compile Include="Hargrim\SaveLoad\SaveProviderStuff\Serializer.cs" />
    <Compile Include="Hargrim\SaveLoad\SaveLoadFieldAttribute.cs" />
    <Compile Include="Hargrim\SaveLoad\SaveProvider.cs" />
    <Compile Include="Hargrim\SaveLoad\SaveProviderStuff\DebugModeSaver.cs" />
    <Compile Include="Hargrim\SaveLoad\SaveProviderStuff\OtherStuff.cs" />
    <Compile Include="Hargrim\SaveLoad\SaveProviderStuff\PlayerPrefsSaver.cs" />
    <Compile Include="Hargrim\SaveLoad\SaveProviderStuff\JsonSerializer.cs" />
    <Compile Include="Hargrim\SaveLoad\SaveProviderStuff\XMLSerializer.cs" />
    <Compile Include="Hargrim\SortingLayerIDAttribute.cs" />
    <Compile Include="Hargrim\Sound\MusicProvider.cs" />
    <Compile Include="Hargrim\Sound\SoundProvider.cs" />
    <Compile Include="Hargrim\Sound\SoundProviderStuff\DefaultClipLoader.cs" />
    <Compile Include="Hargrim\Sound\SoundProviderStuff\ClipLoader.cs" />
    <Compile Include="Hargrim\Sound\SoundProviderStuff\MusicPreset.cs" />
    <Compile Include="Hargrim\Sound\SoundProviderStuff\MusObject.cs" />
    <Compile Include="Hargrim\Sound\SoundProviderStuff\SndObject.cs" />
    <Compile Include="Hargrim\Sound\SoundProviderStuff\SoundsPreset.cs" />
    <Compile Include="Hargrim\IDGenerating\IntIDGenerator.cs" />
    <Compile Include="Hargrim\IDGenerating\LongIDGenerator.cs" />
    <Compile Include="Hargrim\UI\TabGroup.cs" />
    <Compile Include="Hargrim\UI\TabSelector.cs" />
    <Compile Include="System\Collections\CollectionExtensions.cs" />
    <Compile Include="System\SystemTypeExtensions.cs" />
    <Compile Include="Hargrim\Scripts\MonoSingleton.cs" />
    <Compile Include="Hargrim\ScreenExt.cs" />
    <Compile Include="Hargrim\Rnd.cs" />
    <Compile Include="Hargrim\Msg.cs" />
    <Compile Include="Hargrim\Pair.cs" />
    <Compile Include="Hargrim\Collections\ObjectPool.cs" />
    <Compile Include="Hargrim\UnsupportedValueException.cs" />
    <Compile Include="System\EnumExt.cs" />
    <Compile Include="System\IO\PathExt.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="System\Collections\Generic\CollectionExtensions.cs" />
    <Compile Include="System\GetBytesExtensions.cs" />
    <Compile Include="Hargrim\MathExt\MathExtensions.cs" />
    <Compile Include="Hargrim\Script.cs" />
    <Compile Include="Hargrim\Scripts\SingleScript.cs" />
    <Compile Include="Hargrim\Scripts\SingleUIScript.cs" />
    <Compile Include="Hargrim\Scripts\MonoTimer.cs" />
    <Compile Include="UnityEngine\PhysicsObjectsExtensions.cs" />
    <Compile Include="UnityEngine\TransformLINQExtensions.cs" />
    <Compile Include="Hargrim\UIScript.cs" />
    <Compile Include="UnityEngine\UnityObjectExtensions.cs" />
    <Compile Include="UnityEngine\UnityStructExtensions.cs" />
    <Compile Include="Hargrim\XmlUtility.cs" />
  </ItemGroup>
  <ItemGroup />
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <PropertyGroup>
    <PostBuildEvent>del /f /q "$(TargetDir)UnityEngine.dll", "$(TargetDir)UnityEngine.xml", "$(TargetDir)Hargrim.pdb"</PostBuildEvent>
  </PropertyGroup>
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>